# CUpti_EventGroupSets Struct Reference
[CUPTI Event API]

A set of event group sets. More...

## Data Fields
uint32_t | numSets
CUpti_EventGroupSet * | sets

## Detailed Description

A set of event group sets. When returned by cuptiEventGroupSetsCreate and cuptiMetricCreateEventGroupSets a CUpti_EventGroupSets indicates the number of passes required to collect all the events, and the event groups that should be collected during each pass.

## Field Documentation

uint32_t CUpti_EventGroupSets::numSets

Number of event group sets.

CUpti_EventGroupSet* CUpti_EventGroupSets::sets

An array of `numSets` event group sets.